| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - d -

- DAI : IP_I2S_001_T
- DAO : IP_I2S_001_T
- DAT : IP_I2C_001_T
- Data : IP_CAN_MSG_T
- data : message_object , ipcex_msg_t
- Data : IP_SDC_001_RESP_T
- data : ipc_queue , FAT12_img , CCAN_MSG_OBJ_T , fs_file
- DATA : IP_GPIO_003_T
- data : RINGBUFF_T
- DATA_BUFFER : IP_I2C_001_T
- database : FATFS
- DATABUFSTART : LPC_USB_T
- DATACNT : IP_SDC_001_T
- DATACTRL : IP_SDC_001_T
- DataINEndpointDoubleBank : USB_ClassInfo_CDC_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_MIDI_Device_t , USB_ClassInfo_RNDIS_Device_t
- DataINEndpointNumber : USB_ClassInfo_Audio_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_MIDI_Device_t , USB_ClassInfo_RNDIS_Device_t
- DataINEndpointSize : USB_ClassInfo_RNDIS_Device_t , USB_ClassInfo_Audio_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_MIDI_Device_t
- DataINPipeDoubleBank : USB_ClassInfo_CDC_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t
- DataINPipeNumber : USB_ClassInfo_Audio_Host_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t
- DataINPipeSize : USB_ClassInfo_Audio_Host_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t
- DataInStage : USBD_CORE_API_T
- DATALENGTH : IP_SDC_001_T
- DataLength : PIMA_Container_t
- DataOrder : IP_SPI_CONFIG_T
- dataOrder : CHIP_SPI_CONFIG_FORMAT_T
- DataOUTEndpointDoubleBank : USB_ClassInfo_RNDIS_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_MIDI_Device_t
- DataOUTEndpointNumber : USB_ClassInfo_Audio_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_MIDI_Device_t , USB_ClassInfo_RNDIS_Device_t
- DataOUTEndpointSize : USB_ClassInfo_Audio_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_MIDI_Device_t , USB_ClassInfo_RNDIS_Device_t
- DataOUTPipeDoubleBank : USB_ClassInfo_CDC_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t
- DataOUTPipeNumber : USB_ClassInfo_Audio_Host_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t
- DataOUTPipeSize : USB_ClassInfo_Audio_Host_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t
- DataOutStage : USBD_CORE_API_T
- DataSize : CHIP_SPI_DATA_SETUP_T
- DATATIMER : IP_SDC_001_T
- DataToggle : PHCD_QTD , Pipe_Stream_Handle_T , st_HC_GTD
- DataToggleControl : st_EHCD_QHD
- Date : DirEntry
- day : FATDate
- DBADDR : IP_SDMMC_001_T
- DCIVERSION : IP_USBHS_001_T
- DEBNCE : IP_SDMMC_001_T
- DelayInterrupt : st_HC_GTD , st_HCD_IsoTransferDescriptor
- des0 : pSDMMC_DMA_T
- des1 : pSDMMC_DMA_T
- des2 : pSDMMC_DMA_T
- des3 : pSDMMC_DMA_T
- desc : USB_HID_REPORT_T
- DESCRIPTOR : IP_ENET_002_TRANSFER_INFO_T
- DESCRIPTORNUMBER : IP_ENET_002_TRANSFER_INFO_T
- DESTADDR : IP_GPDMA_001_CH_T
- DEVCMDSTAT : LPC_USB_T
- DevConfig : IP_EMC_DYN_CONFIG_T
- device_desc : USB_CORE_DESCS_T
- device_qualifier : USB_CORE_DESCS_T
- device_size : SDMMC_CARD_T
- DEVICEADDR : IP_USBHS_001_T
- DeviceAddress : st_EHCD_SITD , st_EHCD_QHD
- DeviceCode : K9F1G_ID_T
- DEVICEID : LPC_SYSCTL_T
- DeviceMaxPacketSize : USB_ClassInfo_RNDIS_Host_t
- DeviceToHost : USB_ClassInfo_CDC_Device_t , USB_ClassInfo_CDC_Host_t
- DeviceUsesOUTPipe : USB_ClassInfo_HID_Host_t
- DevIntClr : IP_USB_001_T
- DevIntEn : IP_USB_001_T
- DevIntPri : IP_USB_001_T
- DevIntSet : IP_USB_001_T
- DevIntSt : IP_USB_001_T
- dfu : USBD_API_T
- DFU_Detach : USBD_DFU_INIT_PARAM_T
- DFU_Done : USBD_DFU_INIT_PARAM_T
- DFU_Ep0_Hdlr : USBD_DFU_INIT_PARAM_T
- DFU_Read : USBD_DFU_INIT_PARAM_T
- DFU_Write : USBD_DFU_INIT_PARAM_T
- dif_intf_desc : USBD_CDC_INIT_PARAM_T
- dir : DIR
- DIR : IP_GPIO_001_T , IP_GPIO_002_T , IP_GPIO_003_T
- Dir : SDMMC_EVENT_T , IP_SDC_001_DATA_TRANSFER_T
- dir_ptr : FIL
- dir_sect : FIL
- dirbase : FATFS
- DirCtrlEP : USBD_HW_API_T
- Direction : st_EHCD_QHD , st_EHCD_SITD , st_HC_ED
- DirectionPID : st_HC_GTD
- DirectoryEntries : DISKIMAGE
- Disable : IP_CAN_STD_ID_Entry_T
- Disabled : USB_CMD_STAT
- DisableEP : USBD_HW_API_T
- DIV : IP_SPI_002_T
- dlc : CCAN_MSG_OBJ_T , message_object
- DLC : IP_CAN_MSG_T
- DLL : IP_USART_001_T
- DLM : IP_USART_001_T
- DLY : IP_SPI_002_T
- Dly : OS_TMR
- DMA0REQUEST : IP_SCT_001_T
- DMA1 : IP_I2S_001_T
- DMA1REQUEST : IP_SCT_001_T
- DMA2 : IP_I2S_001_T
- DMA_BUS_MODE : IP_ENET_001_T
- DMA_CURHOST_REC_BUF : IP_ENET_001_T
- DMA_CURHOST_REC_DES : IP_ENET_001_T
- DMA_CURHOST_TRANS_BUF : IP_ENET_001_T
- DMA_CURHOST_TRANS_DES : IP_ENET_001_T
- DMA_INT_EN : IP_ENET_001_T
- DMA_MFRM_BUFOF : IP_ENET_001_T
- DMA_OP_MODE : IP_ENET_001_T
- DMA_REC_DES_ADDR : IP_ENET_001_T
- DMA_REC_INT_WDT : IP_ENET_001_T
- DMA_REC_POLL_DEMAND : IP_ENET_001_T
- dma_req_func_pt : UART_PARAM_T
- DMA_STAT : IP_ENET_001_T
- DMA_TRANS_DES_ADDR : IP_ENET_001_T
- DMA_TRANS_POLL_DEMAND : IP_ENET_001_T
- DMACR : IP_SSP_001_T
- DMAIntEn : IP_USB_001_T
- DMAIntSt : IP_USB_001_T
- DMAMUX : LPC_CREG_T
- DMARClr : IP_USB_001_T
- DMAREQSEL : LPC_SYSCTL_T
- DMARSet : IP_USB_001_T
- DMARSt : IP_USB_001_T
- DMAUsed : IP_SDC_001_DATA_TRANSFER_T
- DoneHead : IP_USB_001_T
- DOWNCOUNTER : IP_ATIMER_001_T
- DPDCTRL : LPC_PMU_T
- DR : IP_ADC_001_T , IP_SSP_001_T , IP_SPI_001_T
- driver_mode : UART_PARAM_T
- drv : FATFS
- DSCADDR : IP_SDMMC_001_T
- dsect : FIL
- dst : FLASH_COMPARE_MEM_COMMAND_T , DMA_TransferDescriptor_t , FLASH_COPY_RAM_TO_FLASH_COMMAND_T
- DstAddr : GPDMA_Channel_CFG_T
- DT : IP_MCPWM_001_T
- Dual : LCD_Config_T
- DYNAMICAPR : IP_EMC_001_T
- DYNAMICCONFIG0 : IP_EMC_001_T
- DYNAMICCONFIG1 : IP_EMC_001_T
- DYNAMICCONFIG2 : IP_EMC_001_T
- DYNAMICCONFIG3 : IP_EMC_001_T
- DYNAMICCONTROL : IP_EMC_001_T
- DYNAMICDAL : IP_EMC_001_T
- DYNAMICMRD : IP_EMC_001_T
- DYNAMICRAS : IP_EMC_001_T
- DYNAMICRASCAS0 : IP_EMC_001_T
- DYNAMICRASCAS1 : IP_EMC_001_T
- DYNAMICRASCAS2 : IP_EMC_001_T
- DYNAMICRASCAS3 : IP_EMC_001_T
- DYNAMICRC : IP_EMC_001_T
- DYNAMICREADCONFIG : IP_EMC_001_T
- DYNAMICREFRESH : IP_EMC_001_T
- DYNAMICRFC : IP_EMC_001_T
- DYNAMICRP : IP_EMC_001_T
- DYNAMICRRD : IP_EMC_001_T
- DYNAMICSREX : IP_EMC_001_T
- DYNAMICWR : IP_EMC_001_T
- DYNAMICXSR : IP_EMC_001_T
- DynConfig : IP_EMC_DYN_DEVICE_CONFIG_T